# This file is a template, and might need editing before it works on your project.
# Full project: https://gitlab.com/pages/hexo
image: node:10.15.3

pages:
  script:
    - npm install hexo-cli -g
    - test -e package.json && npm install
    - hexo generate --force
  artifacts:
    paths:
      - public
  cache:
    paths:
      - node_modules
    key: project
  only:
    - main

